CREATE DATABASE TravelAssistDb
GO
USE TravelAssistDb
GO
CREATE TABLE [User]
(
	Id INT PRIMARY KEY NOT NULL IDENTITY(1,1),
	Email NVARCHAR(50) NOT NULL UNIQUE,
	Password NVARCHAR(30) NOT NULL
)
GO
CREATE TABLE TouristPlace
(
	Id INT PRIMARY KEY NOT NULL IDENTITY(1,1),
	Title NVARCHAR(100) NOT NULL,
	Description NVARCHAR(500),
	Image NVARCHAR(100),
	UserId INT NOT NULL FOREIGN KEY REFERENCES dbo.[User](Id)
)
GO
CREATE TABLE Comment
(
	Id INT PRIMARY KEY NOT NULL IDENTITY(1,1),
	Text NVARCHAR(500) NOT NULL,
	UserId INT NOT NULL FOREIGN KEY REFERENCES dbo.[User](Id),
	TouristPlaceId INT NOT NULL FOREIGN KEY REFERENCES dbo.TouristPlace(Id)
)

